// pages/recordlist/recordlist.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        prodUrl: app.globalData.prodUrl,

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let _this = this;
    
        wx.request({
          url: app.globalData.prodUrl + 'web-pm/api/pm_item/pm_record',
          header: {
            'ydw-token': wx.getStorageSync('key').ydw_token
          },
          data: {
            kid: options.kid,
          },
          success: function(data) {
            console.log(data)
            _this.setData({
                record: data.data.record
            })
          },
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})